version: "3.8"

services:
  maven:
    container_name: maven
    image: omegazyadav/maven_app:200812-c497672
    ports:
      - "8090:8090"
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://db:3306/assignment?allowPublicKeyRetrieval=true
    restart: always
    depends_on:
      - db

  db:
    container_name: mysql
    image: mysql:8.0.21
    volumes:
      - db_data:/var/lib/mysql
    restart: always
    ports:
      - "3306:3306"
    environment:
      MYSQL_ROOT_PASSWORD: P@ssw0rd
      MYSQL_DATABASE: assignment
      MYSQL_USER: root
      MYSQL_PASSWORD: P@ssw0rd

volumes:
  db_data:
